## $Id: mantis.spec,v 1.5 2004/05/27 15:33:48 ensc Exp $

%define pkgdir		%{_datadir}/%{name}
%define cfgdir		%{_sysconfdir}/%{name}
%define httpconfdir	%{_sysconfdir}/httpd/conf.d

Summary:	A web-based bugtracking system
Name:		mantis
Version:	0.18.3
Release:	0.fdr.2.2
Epoch:		0
License:	GPL
Group:		Applications/Internet
URL:		http://mantisbt.sourceforge.net/
BuildArch:	noarch
Source0:	http://download.sourceforge.net/sourceforge/mantisbt/%{name}bt-%{version}%{?alpha}.tar.gz
Patch0:		mantis-0.18.3-iis.patch
Patch1:		mantis-0.18.3-email.patch
Patch2:		mantis-0.18.3-noadmin.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	diffutils
Requires:	php php-mysql
Requires:	mantis-config

%package config-httpd
Summary:	Mantis configuration for Apache httpd
Group:		Applications/Internet
Source10:	mantis-httpd.conf
Provides:	mantis-config = httpd
Requires:	mantis = %{epoch}:%{version}-%{release}
Requires:	%{httpconfdir}
Requires:	mod_ssl
Requires(post):		httpd
Requires(postun):	httpd


%description
Mantis is a web-based bugtracking system. It is in active development
and is considered beta.

It is written in the PHP scripting language and requires the MySQL
database and a webserver. Mantis has been installed on Windows, MacOS,
OS/2, and a variety of Unix operating systems. Any web browser should
be able to function as a client. It is released under the terms of the
GNU General Public License (GPL).

%description config-httpd
Mantis is a web-based bugtracking system. It is in active development
and is considered beta.

This package contains configuration-files for Apache httpd 2.

#-------------------------------------------------

%prep
%setup -q -n %{name}bt-%{version}%{?alpha}
%patch0 -p1 -b .iis
%patch1 -p1 -b .email
%patch2 -p1 -b .noadmin

chmod -x *.php
find -name '.cvsignore' -exec rm -f {} \;
rm -rf packages

#-------------------------------------------------

%install
rm -rf "$RPM_BUILD_ROOT"

%{__install} -d -m755 $RPM_BUILD_ROOT%{pkgdir}
%{__install} -d -m750 $RPM_BUILD_ROOT%{cfgdir}

tar cf - . | tar xf - -C $RPM_BUILD_ROOT%{pkgdir}

## Do not rename; the *existence* of this file will be checked to
## determine if mantis is offline
mv $RPM_BUILD_ROOT%{pkgdir}/mantis_offline.php.sample $RPM_BUILD_ROOT%{cfgdir}/
mv $RPM_BUILD_ROOT%{pkgdir}/config_inc.php.sample     $RPM_BUILD_ROOT%{cfgdir}/config_inc.php

ln -s %{cfgdir}/config_inc.php     $RPM_BUILD_ROOT%{pkgdir}/config_inc.php
ln -s %{cfgdir}/mantis_offline.php $RPM_BUILD_ROOT%{pkgdir}/mantis_offline.php


## The httpd config-files
function subst() {
	f=$RPM_BUILD_ROOT$1
	sed -e 's!/usr/share/mantis!%pkgdir!g' "$f" >"$f".tmp
	cmp -s "$f" "$f.tmp" || cat "$f.tmp" >"$f"
	rm -f "$f.tmp"
}

%{__install} -d $RPM_BUILD_ROOT%{httpconfdir}
%__install -p -m644 %SOURCE10 $RPM_BUILD_ROOT%httpconfdir/mantis.conf
subst %httpconfdir/mantis.conf

#-------------------------------------------------

%clean
rm -rf "$RPM_BUILD_ROOT"

#-------------------------------------------------


%post config-httpd
! /sbin/pidof httpd &>/dev/null || /usr/sbin/apachectl graceful || :

%postun config-httpd
! /sbin/pidof httpd &>/dev/null || /usr/sbin/apachectl graceful || :


%files
%defattr(-,root,root,-)
%doc sql
%{pkgdir}
%exclude %{pkgdir}/sql
%attr(-,root,apache) %dir %{cfgdir}
%attr(0640,root,apache) %config(noreplace) %{cfgdir}/*


%files config-httpd
%defattr(-,root,root,-)
%config(noreplace) %{httpconfdir}/*


%changelog
* Thu May 27 2004 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 0:0.18.3-0.fdr.2
- ship doc/ in the program-directory instead of copying it into %%docdir
- modified shipped httpd configuration to disable admin/ directory
  explicitly and added some documentation there
- added noadmin patch to disable warning about existing admin/ directory;
  since this directory is disabled by httpd configuration
- lower restrictions on the required 'mantis-config' subpackage; use
  descriptive names as version instead of EVR
- restart 'httpd' after the upgrade
- preserve timestamps of the configuration files to avoid creation of
  .rpmnew files on every update

* Tue May 25 2004 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 0:0.18.3-0.fdr.0.1
- updated to 0.18.2
- rediffed the patches

* Fri Aug 15 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0:0.18.0-0.fdr.0.2.a4
- use generic download-address for Source0

* Thu Jun 19 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0:0.18.0-0.fdr.0.1.a4
- applied the Fedora naming standard

* Thu Jun 19 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0:0.18.0-0.fdr.0.a4.2
- Initial build.
